/* ================================
   LAYOUT
================================ */

.auth-body {
    background: #f3f5f7;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    font-family: 'Inter', sans-serif;
}

.auth-container {
    width: 100%;
    max-width: 420px;
    background: #ffffff;
    padding: 40px 30px;
    border-radius: 18px;
    box-shadow: 0 8px 18px rgba(0, 0, 0, 0.1);
    text-align: center;
}

/* ================================
   TITULO
================================ */

.auth-title {
    font-size: 28px;
    font-weight: 700;
    color: #052748;
    margin-bottom: 25px;
}

/* ================================
   INPUTS
================================ */
.input {
    width: 100%;
    padding: 14px;
    margin-top: 12px;
    border-radius: 12px;
    border: 1px solid #d8d8d8;
    background: #fafafa;
    transition: .2s;
    font-size: 16px;
    outline: none;
    box-sizing: border-box;
}

.input:focus {
    border-color: #052748;
    box-shadow: 0 0 4px rgba(5, 39, 72, .3);
    background: #fff;
}

.input-password-wrap {
    position: relative;
    width: 100%;
    margin-top: 12px;
}

.input-password-wrap .input {
    width: 100%;
    margin-top: 0;
    padding-right: 45px;
}

.toggle-password {
    position: absolute;
    top: 50%;
    right: 14px;
    transform: translateY(-50%);
    background: transparent;
    border: none;
    cursor: pointer;
    color: #666;
    font-size: 18px;
    padding: 0;
}

.toggle-password:hover {
    color: #052748;
}

/* ================================
   BOTÃO
================================ */

.btn {
    width: 100%;
    padding: 15px;
    background: #052748;
    color: white;
    border: none;
    margin-top: 25px;
    border-radius: 12px;
    font-size: 18px;
    cursor: pointer;
    font-weight: 600;
    transition: .2s;
}

.btn:hover {
    background: #031a35;
}

/* ================================
   LINKS
================================ */

.auth-link {
    margin-top: 20px;
    font-size: 14px;
}

.auth-link a {
    color: #052748;
    font-weight: 600;
    text-decoration: none;
}

.auth-link a:hover {
    text-decoration: underline;
}